Bug 260964 - Close the cashew menu like a normal menu
Summary: Close the cashew menu like a normal menu
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: general (show other bugs)
Version: 4.6.2
Platform: Unlisted Binaries Linux
: NOR minor with 3 votes (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-22 12:41 UTC by Kai Uwe Broulik
Modified: 2012-06-27 10:33 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Uwe Broulik 2010-12-22 12:41:15 UTC
Version:           unspecified
OS:                Linux

(I don‘t understand the purpose of this cashew at all, if it was me, I‘d long removed it or added an option to)
Clicking the cashew presents a plasma-style menu offering some entries (which are available through the desktop context menu as well). Clicking somewhere on the desktop leaves the menu open. You have to click the cashew again to close it or focus another application.

Reproducible: Always
Comment 1 Kai Uwe Broulik 2011-01-02 19:25:47 UTC
Same goes for the Activity list. It stays open as long as Plasma has the focus, i.e. it does not disappear when opening a widget configuration dialog and thus covers parts of it.
Comment 2 Jakob Lehmann 2011-05-29 03:05:29 UTC
Both issues confirmed in 4.6.2.
Comment 3 Marco Martin 2012-06-27 10:33:56 UTC
Git commit 621e936de3fafa826493a34d304b5709a60b98ce by Marco Martin.
Committed on 27/06/2012 at 12:33.
Pushed by mart into branch 'KDE/4.9'.

close a toolbox on mouse ress anywhere
FIXED-IN:4.9

M  +5    -0    plasma/containment.cpp

http://commits.kde.org/kdelibs/621e936de3fafa826493a34d304b5709a60b98ce